ENGINE_SET_FLAGS(3)

NAME
ENGINE_set_flags, ENGINE_get_flags - modify the behaviour of an ENGINE object

SYNOPSIS
#include <openssl/engine.h>
int
ENGINE_set_flags(ENGINE *e, int flags);
int
ENGINE_get_flags(const ENGINE *e);

DESCRIPTION
ENGINE_set_flags() sets the flags attribute of e to the new flags. The previous state of the flags attribute is overwritten. Flags that were previously set are cleared unless they are also present in the new flags.

The flags argument can be the bitwise OR of zero or more of the following constants:

ENGINE_FLAGS_BY_ID_COPY
    ENGINE_by_id(3) returns a shallow copy of the ENGINE object it found rather than incrementing the reference count and returning a pointer to the original.

ENGINE_FLAGS_MANUAL_CMD_CTRL
    ENGINE_ctrl(3) lets the function installed with ENGINE_set_ctrl_function(3) handle all commands except ENGINE_CTRL_HAS_CTRL_FUNCTION, even the builtin commands.

ENGINE_FLAGS_NO_REGISTER_ALL
    ENGINE_register_all_complete(3) skips e.

RETURN VALUES
ENGINE_set_flags() always returns 1.

ENGINE_get_flags() returns the flags attribute of e.

SEE ALSO
ENGINE_by_id(3), ENGINE_ctrl(3), ENGINE_init(3), ENGINE_new(3), ENGINE_register_all_complete(3), ENGINE_set_RSA(3)

HISTORY
ENGINE_set_flags() and ENGINE_get_flags() first appeared in OpenSSL 0.9.7 and have been available since OpenBSD 3.2.